Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.resolve
Class ResolveChain

    java.lang.Object
      org.openxri.resolve.ResolveChain

    public class ResolveChain

extends java.lang.Object

Holds information for a XRI resolution chain (no redirects)

Author:
  chandra, =chetan

Constructor Summary
`ResolveChain(java.lang.String sXRI)` Constructor - initializes as unresolved.

Method Summary
`void` | `addXRIDescriptor(XRD oXRID)` Adds the specified XRI Descriptor to the chain
`void` | `addXRIDescriptors(java.util.Vector oDescriptors)` Adds the specified XRI Descriptors to the chain
`void` | `addXRIDescriptors(XRDS oDescriptors)` Adds the specified XRI Descriptors to the chain
`XRD` | `getFinalXRIDescriptor()` Get the last descriptor encountered during resolve.
`java.lang.String` | `getUnresolved()` Get the unresolved portion.
`java.lang.String` | `getXRI()` Get the XRI attempted to be resolved
`XRDS` | `getXRIDescriptors()` Returns the XRDS element for this chain
`boolean` | `resolvedAll()` Was the XRI resolved to its completion?
`void` | `setResolvedAll()` Mark that the XRI resolved completely.
`void` | `setUnresolved(java.lang.String sUnresolved)` Set unresolved portion.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResolveChain

    public ResolveChain(java.lang.String sXRI)

  Constructor - initializes as unresolved.

Method Detail

### getXRI

    public java.lang.String getXRI()

  Get the XRI attempted to be resolved

### resolvedAll

    public boolean resolvedAll()

  Was the XRI resolved to its completion?

### getXRIDescriptors

    public XRDS getXRIDescriptors()

  Returns the XRDS element for this chain

### getFinalXRIDescriptor

    public XRD getFinalXRIDescriptor()

  Get the last descriptor encountered during resolve. For a complete resolve, that is when resolvedAll() is true, the final descriptor belongs to the complete XRI. For an incomplete resolve, this descriptor, if non-null, gives the descriptor that was queried last for a resolve getUnresolved() gives the remaining part of XRI that is still left to be resolved.

### getUnresolved

    public java.lang.String getUnresolved()

  Get the unresolved portion. This portion does not start with "xri". Example: Could be ".yahoo.john" for "xri:@email.com.yahoo.john". Null is returned for complete resolutions.

### setResolvedAll

    public void setResolvedAll()

  Mark that the XRI resolved completely.

### setUnresolved

    public void setUnresolved(java.lang.String sUnresolved)

  Set unresolved portion.

### addXRIDescriptor

    public void addXRIDescriptor(XRD oXRID)

  Adds the specified XRI Descriptor to the chain

### addXRIDescriptors

    public void addXRIDescriptors(XRDS oDescriptors)

  Adds the specified XRI Descriptors to the chain

### addXRIDescriptors

    public void addXRIDescriptors(java.util.Vector oDescriptors)

  Adds the specified XRI Descriptors to the chain

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.